%define pypi_name plaster-pastedeploy

Name:           python-%{pypi_name}
Version:        0.7
Release:        %mkrel 7
Summary:        A loader implementing the PasteDeploy syntax to be used by plaster
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/plaster-pastedeploy/
Source0:        https://files.pythonhosted.org/packages/99/69/2d3bc33091249266a1bd3cf24499e40ab31d54dffb4a7d76fe647950b98c/plaster_pastedeploy-%{version}.tar.gz
BuildArch:      noarch

%description
plaster_pastedeploy is a plaster plugin that provides a plaster.Loader that can
parse ini files according to the standard set by PasteDeploy. It supports the
wsgi plaster protocol, implementing the plaster.protocols.IWSGIProtocol
interface.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description -n python3-%{pypi_name}
plaster_pastedeploy is a plaster plugin that provides a plaster.Loader that can
parse ini files according to the standard set by PasteDeploy. It supports the
wsgi plaster protocol, implementing the plaster.protocols.IWSGIProtocol
interface.

%prep
%setup -q -n plaster_pastedeploy-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/plaster_pastedeploy
%{python3_sitelib}/plaster_pastedeploy-%{version}-*.egg-info


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 0.7-7.mga9
+ Revision: 1823454
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 0.7-6.mga9
+ Revision: 1783347
- rebuild for python-3.10

* Wed Mar 24 2021 guillomovitch <guillomovitch> 0.7-5.mga9
+ Revision: 1708591
- rebuild for python 3.9

* Thu Jul 23 2020 ovitters <ovitters> 0.7-4.mga8
+ Revision: 1608293
- rebuild for removing pythonegg buildrequires in srpm

* Sun Feb 16 2020 umeabot <umeabot> 0.7-3.mga8
+ Revision: 1534474
- Mageia 8 Mass Rebuild

* Thu Oct 03 2019 guillomovitch <guillomovitch> 0.7-2.mga8
+ Revision: 1449131
- rebuild for python 3.8
- drop python2 support

* Mon Jul 01 2019 guillomovitch <guillomovitch> 0.7-1.mga8
+ Revision: 1417029
- imported package python-plaster-pastedeploy

